#include <stdio.h>
#include "btserverdefines.h"
#include "btutils.h"
#define ENABLE_DEBUG_LOG
#ifdef BT_HID_REMOTE
#include "bthidremote.h"
#include "hidd.h"
#include <string.h>

void BTHidRemoteHandleInit()
{
  hidState = HID_NO_CONNECTION;
  memset( hidDeviceName, 0, sizeof(hidDeviceName));
  memset( hidRemoteAddress, 0, sizeof(hidRemoteAddress));
}

char *getHidRemoteName()
{
  if( hidState == HID_CONNECTION_PENDING)
  {
    return hidDeviceName;
  }
  return NULL;
}

char *getHidRemoteAddress()
{
  if( hidState == HID_CONNECTION_PENDING)
  {
    return hidRemoteAddress;
  }
  return NULL;
}

int BTHidRemoteHandle()
{ 
  int result = 0;
#ifdef ENABLE_DEBUG_LOG
  static int noconnection = 0;
  static int pending = 0;
  static int connected = 0;
#endif

	switch( hidState)
	{
    case HID_NO_CONNECTION:		 
      result = run_server();
#ifdef ENABLE_DEBUG_LOG
      if(noconnection < 1)
      {
        DEBUG_LOG1("Connection HID_NO_CONNECTION:%d", hidState);
        noconnection++;
      }
#endif
		  break;
    case HID_CONNECTION_PENDING:
#ifdef ENABLE_DEBUG_LOG
      if( pending < 1)
      {
        DEBUG_LOG1("Connection pending:%d", hidState);
        pending++;
      }
#endif
      break;
    case HID_CONNECTED:
#ifdef ENABLE_DEBUG_LOG
      if( connected < 1)
      {
        DEBUG_LOG1("Connected:%d", hidState);
        connected++;
      }
#endif
		  break;
    case HID_FAILED:
      start_hid();
      break;
    default:
		  DEBUG_LOG1("hidState unknown:%d", hidState);
		  break;
	}
	return result;
}

#endif // BT_HID_REMOTE
